insert into metadata_statistics (order_sequence, metadata_defn, total_entries, rundate, metadata_id)
select 
rownumber() over (order by count(1) desc), 
'CategoriesPerHierarchy' 
, count(1) , current timestamp, cat_container_id
from cat
where cat_company_id = 40001
and   cat_next_version_id = 999999999
group by cat_container_id 
;
commit;
